Package org.apache.sling.distribution.journal.kafka

## Class KafkaMessageInfo

- java.lang.Object
- - org.apache.sling.distribution.journal.kafka.KafkaMessageInfo

All Implemented Interfaces:
  `org.apache.sling.distribution.journal.MessageInfo`

    public class KafkaMessageInfo
    extends Object
    implements org.apache.sling.distribution.journal.MessageInfo

### Field Summary

Fields
`static String` `KEY_MESSAGE_TYPE`

### Constructor Summary

Constructors
`KafkaMessageInfo​(org.apache.kafka.clients.consumer.ConsumerRecord<String,​?> record)`
`KafkaMessageInfo​(org.apache.kafka.clients.consumer.ConsumerRecord<String,​?> record, Map<String,​String> props)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getCreateTime()`
`long` `getOffset()`
`int` `getPartition()`
`Map<String,​String>` `getProps()`
`String` `getTopic()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### KEY_MESSAGE_TYPE

    public static final String KEY_MESSAGE_TYPE

See Also:
  Constant Field Values

### Constructor Detail

#### KafkaMessageInfo

    public KafkaMessageInfo​(org.apache.kafka.clients.consumer.ConsumerRecord<String,​?> record)

#### KafkaMessageInfo

    public KafkaMessageInfo​(org.apache.kafka.clients.consumer.ConsumerRecord<String,​?> record,
                            Map<String,​String> props)

### Method Detail

#### getTopic

    public String getTopic()

Specified by:
  `getTopic` in interface `org.apache.sling.distribution.journal.MessageInfo`

#### getPartition

    public int getPartition()

Specified by:
  `getPartition` in interface `org.apache.sling.distribution.journal.MessageInfo`

#### getOffset

    public long getOffset()

Specified by:
  `getOffset` in interface `org.apache.sling.distribution.journal.MessageInfo`

#### getCreateTime

    public long getCreateTime()

Specified by:
  `getCreateTime` in interface `org.apache.sling.distribution.journal.MessageInfo`

#### getProps

    public Map<String,​String> getProps()

Specified by:
  `getProps` in interface `org.apache.sling.distribution.journal.MessageInfo`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`